#ifndef YAKSCROL_H
#define YAKSCROL_H

#include "stddefs.h"
#include "yakLib.h"
#include "yakpanel.h"
#include "xlib.h"
#include "xtext.h"
//@doc

//@class A <c yakPanel> which holds a section of text which can be scrolled through.
class yakScroller : public yakPanel
{
public:
  //@access Public Members
  //@member yakScroller | Specific constructor
  yakScroller( screenCoordX_t scxLeft, screenCoordY_t scyTop,
    screenCoordX_t scxRight, screenCoordY_t scyBottom,
    char * pcNewText );
  //@cmember Default constructor
  yakScroller();
  //@cmember Default Destructor
  virtual ~yakScroller();
  //@cmember Activates the scroller on screen and forces the user to look at it
  void Activate( screenCoordX_t scxNew, screenCoordY_t scyNew );
  //@cmember Puts new text in the scroll box
  void NewText( char * pcNewText );
  //@cmember Loads new text into the scroll box
  bFlag bfLoadText( char * pcFilename, yakLib * plib );
};

#endif
