#include "yakbitm.h"

//@doc

/*
@class A static-member-only class used to do maintenance work on yakBitmaps
*/
class yakBitmapMaintenance {
public:
  //@access Public Members
  //@cmember Loads a yakIcons yakBitmap from a .pcx file
  static bFlag bfLoadYakBitmapFromPCX( yakBitmap * pybm, char * pcFilename );
  //@cmember Crops a yakBitmap to new dimensions
  static void CropYakBitmap( yakBitmap * pybm, int iNewWidth, int iNewHeight );
  //@member emsData * pemdGetBitmapData( yakBitmap * pybm ) | Accesses a yakBitmap's picture data;
  //returns pointer to emsData in Borland, pointer to char in Watcom
  #ifdef __386__
  static byte * pemdGetBitmapData( yakBitmap * pybm ) { return pybm->emdUnrolledPic; };
  #else
  static emsData * pemdGetBitmapData( yakBitmap * pybm ) { return &( pybm->emdUnrolledPic ); };
  #endif
};
