#include "animap.h"
//@doc

/*
@class Maintenance class used to modify existing <c animap> objects.
*/
class animapMaintenance
{
public:
  //@cmember Loads a yakIcons 2.xx animap
  static bFlag bfLoadVersion2( animap * pmap, char * pcFilename );
  //@cmember copies one map's data to another, resizing the target
  static void CopyAndResize( animap ** ppmapTarget, animap * pmapOriginal,  yakLib * plibTiles, int iNewNumTiles, int iNewSquareWidth, int iNewWidth, int iNewHeight );
  //@cmember Copies tile data from one animap to another.
  static void UseTilesFrom( animap * pmapTarget, animap * pmapSource, yakLib * plibTiles );
};
