#ifndef TTWEEN_H
#define TTWEEN_H

template<class T> T tTween(
        T tInitialValue,                //Initial position
        T tFinalValue,                  //final position
        int iStepNumber,                //step number to return
        int iNumberOfSteps  //number of steps in the sequence
)
{
  float fValueSpan = ( float )( tFinalValue - tInitialValue );
  float fRatio = ( float )( ( float )iStepNumber )/ ( ( float )iNumberOfSteps );
  return ( T )( fRatio * fValueSpan ) + tInitialValue;
}

#endif
