#ifndef YAKFIXED_H
#define YAKFIXED_H

typedef long FixedPoint;
#define INT_TO_FIXED( x ) ( ( ( long )( int )x ) << 16 )
#define DOUBLE_TO_FIXED( x ) ( ( long ) ( x * 65536.0 + 0.5 ) )

#ifdef __BORLANDC__

extern "C" FixedPoint FixedMul( FixedPoint fx1, FixedPoint fx2 );
extern "C" FixedPoint FixedDiv( FixedPoint fx1, FixedPoint fx2 );

#endif

#endif